/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwt.custom.ExtendedModifyEvent;

import dwt.events.TypedEvent;
import dwt.custom.StyledTextEvent;

/**
 * This event is sent after a text change occurs.
 */
public final class ExtendedModifyEvent : TypedEvent {
    /** start offset of the new text */
    public int start;
    /** length of the new text */
    public int length;
    /** replaced text or empty string if no text was replaced */
    public char[] replacedText;

    static final long serialVersionUID = 3258696507027830832L;

public this(StyledTextEvent e) {
    super(cast(Object)e);
    start = e.start;
    length = e.end - e.start;
    replacedText = e.text;
}
}
